# vim:set ft=sh et:
# Maintainer : BlackEagle < ike DOT devolder AT gmail DOT com >

_pkgname=tuxedo-keyboard
pkgname=$_pkgname-bede
pkgver=3.2.14
_current_linux_version=6.9.9
_next_linux_version=6.10
pkgrel=57
pkgdesc="Keyboard Backlight Driver from TUXEDO Computers"
url="https://github.com/tuxedocomputers/tuxedo-keyboard"
arch=('x86_64')
makedepends=(
    "linux-bede>=$_current_linux_version"
    "linux-bede-headers>=$_current_linux_version"
    "linux-bede<$_next_linux_version"
    "linux-bede-headers<$_next_linux_version"
    "tuxedo-keyboard-dkms=$pkgver"
)
provides=('tuxedo-keyboard')
replaces=('tuxedo-cc-wmi-bede')
license=('GPL3')
source=()

package() {
	depends=(
        "linux-bede>=$_current_linux_version"
        "linux-bede<$_next_linux_version"
    )

    local kernver=$(</usr/src/linux-bede/version)
    local extradir="/usr/lib/modules/$kernver/extramodules"
    install -dm755 "${pkgdir}${extradir}/$_pkgname"
    cp -a "/var/lib/dkms/$_pkgname/kernel-$kernver-x86_64/module"/* \
        "${pkgdir}${extradir}/$_pkgname/"

    install -Dm644 /usr/lib/modprobe.d/tuxedo_keyboard.conf \
        "${pkgdir}/usr/lib/modprobe.d/tuxedo_keyboard-bede.conf"
}



